Subject: Re: [manet] IEEE 802.11 Broadcast?

From: John Stine <[email-masked]>
Date: Thu, 06 Jun 2002 10:41:20 -0400

Marty,

Will you make your model available for others to use and consider?  I
did something similar for the OPNET 802.11 version 7.0.B wlan_mac
process model and supporting pipeline stages but restricted it to just
the 1 Mbps data rate to avoid the complexity of modeling simultaneous
use of different physical layers.  These models can be downloaded by
OPNET users at 

 ftp://opguest:[email-masked]/433/

It is included as part of a model of Kevin Grace's Mobile Mesh Routing
Protocol.

John

"Reilly, Martin T." wrote:
> 
> with respect to the modeling of a direct sequence spread spectrum modem with
> a preamble I have created a very detailed model of a similar system using
> Opnet. The channel access protocol is like that of 802.11 (using
> RTS/CTS/Data/Ack).
> 
> With a fixed length preamble and varying the burst rate (by factors of 2) of
> the data segments for a small net (about 40 nodes all within comm's range of
> each other) the overall system throughput does increase but by a factor
> smaller than 2. As the data burst rate increases the probability of
> collision decreases (channel congestion decreases).
> 
> if one looks at the maximum channel capacity at the various data burst rates
> there is not a factor of 2 increase in throughput for a factor of 2 increase
> in burst rate due the significant contribution of the fixed length preamble
> (which dominates the transmit time at the higher burst rates for small user
> payloads) and the performance improvement quickly diminishes.
> 
> Marty Reilly
> 
> -----Original Message-----
> From: John Stine [mailto:[email-masked]]
> Sent: Thursday, June 06, 2002 9:30 AM
> To: Sumeeth Nagaraj
> Cc: Miguel Sanchez; Pei, Ke (Peak); [email-masked]
> Subject: Re: [manet] IEEE 802.11 Broadcast?
> 
> Sumeeth,
> 
>         Potential destinations synchronize to the transmission during the
> training sequence at the beginning.  Once the signal is captured there
> is a potential advantage over other interfering signals.  The DSSS
> spreading code is a 11 bit Barker sequence (when using 1 Mbs and 2 Mbs
> rates) which means the code is orthogonal to itself in all displaced
> positions.  So assuming the time of arrival of an interfering signal is
> random, a good assumption since a chip with the 1 Mbs data rate
> corresponds to a difference of ~28 meters propagation distance, there is
> about a 10/11 chance that the codes will not align and the captured
> signal will be received with a 10+ dB processing gain.  When
> broadcasting in 802.11, the RTS-CTS exchange is disabled so you have a
> pure CSMA-CA protocol that does not prevent hidden nodes.  Thus, this
> processing gain is a nice feature.
> 
>         Note that the 4 data rates used in 802.11b are not equivalent.  The
> bandwidth for a channel is constrained to 22MHz.  Increasing the data
> rate to 11Mbs removes the processing gain that comes from spreading.
> The higher data rates also use a different modulation.  The propagation
> and interference characteristics of each data rate and the interference
> characteristics between data rates differ.  Exploring and defining how
> to model these differences would be a nice contribution if someone were
> interested.  I have never seen it defined anywhere and don't believe it
> is adequately modeled in any of the simulation environments that I am
> familiar with that are used to study ad hoc networks.
> 
> John
> 
> Sumeeth Nagaraj wrote:
> >
> > Hi all,
> >
> > In IEEE 802.11 DCF DSSS mode,  are all the nodes chip synchronized? if not
> > to some extent it will hear the other node as noise(interference). If
> there
> > is no chip synchronization among all the nodes( neighbors) how does
> > broadcast work,  Broadcast packets are meant to be sent to all the
> > neighbors, if there is no chip synchronization with all the neighbors some
> > of the broadcast packets could be dropped. Isn't this a problem? or am I
> > missing some thing here?
> >
> > -Sumeeth
> >
> > _______________________________________________
> > manet mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/manet
> 
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/manet

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: John Stine <[email-masked]>
Date: Thu, 06 Jun 2002 10:41:20 -0400

Marty,

John